Bug 1312544 - Intel HD4000 gpu hang after sleep/resume
Intel HD4000 gpu hang after sleep/resume
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 03:15 EST by The Source
Modified: 2016-12-20 14:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:03:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log from /sys/class/drm/card0 (63.81 KB, application/x-xz)
2016-02-27 03:15 EST, The Source
no flags Details

  None (edit)
Description The Source 2016-02-27 03:15:33 EST
Created attachment 1130987 [details]
error log from /sys/class/drm/card0

Description of problem:
I encountered this problem on asus n56vb laptop (core i7 3630m with intel hd4000 graphics), after laptop resumes after stand by sometimes the following message appears in dmesg:

[79995.739334] [drm] stuck on render ring
[79995.739761] [drm] GPU HANG: ecode 7:0:0x85fffff8, in kscreenlocker_g [16871], reason: Ring hung, action: reset
[79995.739762] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[79995.739762] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[79995.739763] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[79995.739764] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[79995.739764] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[79995.739802] ------------[ cut here ]------------
[79995.739827] WARNING: CPU: 4 PID: 31104 at drivers/gpu/drm/i915/intel_display.c:11289 intel_mmio_flip_work_func+0x387/0x3d0 [i915]()
[79995.739828] WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
[79995.739829] Modules linked in:
[79995.739830]  ses enclosure ccm uas usb_storage rfcomm fuse ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_tftp nf_conntrack_sane nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_filter ebtable_nat bbswitch(OE) ebtable_broute bridge stp llc ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack vboxpci(OE) iptable_security iptable_raw vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep vfat fat ath3k btusb uvcvideo btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 videobuf2_core bluetooth v4l2_common videodev media
[79995.739856]  snd_hda_codec_hdmi snd_hda_codec_realtek intel_rapl arc4 iosf_mbi ath9k ath9k_common snd_hda_codec_generic ath9k_hw snd_hda_intel ath snd_hda_codec x86_pkg_temp_thermal mac80211 coretemp snd_hda_core snd_hwdep kvm_intel snd_seq asus_nb_wmi snd_seq_device asus_wmi sparse_keymap iTCO_wdt kvm cfg80211 snd_pcm iTCO_vendor_support rfkill irqbypass snd_timer crct10dif_pclmul crc32_pclmul snd joydev crc32c_intel lpc_ich soundcore mei_me mei tpm_tis i2c_i801 tpm shpchp vhba(OE) binfmt_misc i915 mxm_wmi i2c_algo_bit drm_kms_helper drm serio_raw alx mdio video wmi fjes [last unloaded: nvidia]
[79995.739880] CPU: 4 PID: 31104 Comm: kworker/4:1 Tainted: P           OE   4.4.2-300.fc23.x86_64 #1
[79995.739881] Hardware name: ASUSTeK COMPUTER INC. N56VB/N56VB, BIOS N56VB.202 01/21/2013
[79995.739894] Workqueue: events intel_mmio_flip_work_func [i915]
[79995.739895]  0000000000000000 00000000d63a8420 ffff88018a06bd20 ffffffff813b0c9f
[79995.739897]  ffff88018a06bd68 ffff88018a06bd58 ffffffff810a2f12 ffff88019afb3680
[79995.739898]  ffff88022ef16600 ffff88022ef1b000 0000000000000100 ffff88019afb3680
[79995.739900] Call Trace:
[79995.739904]  [<ffffffff813b0c9f>] dump_stack+0x44/0x55
[79995.739907]  [<ffffffff810a2f12>] warn_slowpath_common+0x82/0xc0
[79995.739908]  [<ffffffff810a2fac>] warn_slowpath_fmt+0x5c/0x80
[79995.739919]  [<ffffffffa0157b37>] intel_mmio_flip_work_func+0x387/0x3d0 [i915]
[79995.739922]  [<ffffffff810bb10e>] process_one_work+0x19e/0x3f0
[79995.739924]  [<ffffffff810bb3ae>] worker_thread+0x4e/0x450
[79995.739925]  [<ffffffff810bb360>] ? process_one_work+0x3f0/0x3f0
[79995.739927]  [<ffffffff810c1138>] kthread+0xd8/0xf0
[79995.739928]  [<ffffffff810c1060>] ? kthread_worker_fn+0x160/0x160
[79995.739931]  [<ffffffff81799c8f>] ret_from_fork+0x3f/0x70
[79995.739932]  [<ffffffff810c1060>] ? kthread_worker_fn+0x160/0x160
[79995.739933] ---[ end trace e17ee1f0eae7b995 ]---
[79995.741873] drm/i915: Resetting chip after gpu hang

And graphical glitches start to appear (from flickering desktop to complete black screen on all terminals, only cursor is visible). This problem only seem to be present in new 4.4.2 kernel, in 4.3.5 everything works fine.

Version-Release number of selected component (if applicable):
kernel-4.4.2-300.fc23.x86_64


How reproducible:
sometimes

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 The Source 2016-03-10 01:35:34 EST
downgrading to xorg-x11-drv-intel-2.99.917-16.20150729 did not help
Comment 2 Fedora End Of Life 2016-11-24 10:47:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:03:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.